;-----------------------------------------------------------------------------
;-      ATMEL Microcontroller Software Support  -   ROUSSET -
;-----------------------------------------------------------------------------
; The software is delivered "AS IS" without warranty or condition of any
; kind, either express, implied or statutory. This includes without
; limitation any warranty or condition with respect to merchantability or
; fitness for any particular purpose, or against the infringements of
; intellectual property rights of others.
;-----------------------------------------------------------------------------
;- File Name            : int_mem.inc
;- Object               : Internal Memories Definition File.
;- Translator           : ARM Software Development Toolkit V2.11a
;-
;- 1.0 22/09/98 JCZ     : Creation
;- 2.0 21/10/98 JCZ     : Clean up.
;-----------------------------------------------------------------------------

;------------------------------
;- AT91 Internal RAM Definition
;------------------------------

RAM_BASE            EQU     0x00000000
RAM_SIZE            EQU     4096
RAM_LIMIT           EQU     RAM_BASE + RAM_SIZE

;- The internal RAM is mapped at address 0x00300000 after reset until
;- Remap command is performed on the EBI.

RAM_BASE_BOOT       EQU     0x00300000

;------------------------------
;- AT91 Internal ROM Definition
;------------------------------

INT_ROM_BASE        EQU     0x00100000
MAX_INT_ROM_SIZE    EQU     (1024*1024)
INT_ROM_LIMIT       EQU     (INT_ROM_BASE + MAX_INT_ROM_SIZE)

        END
